package com.wd.workoffice.ui.adapter;


import android.text.TextUtils;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.OrderBean;
import com.wd.workoffice.bean.WarehoustBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkWarehouseOrderAdapter extends BaseQuickAdapter<OrderBean, BaseViewHolder> {

    public WorkWarehouseOrderAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, OrderBean item) {
        helper.setText(R.id.tv_name, item.getOrderTypeName());
        helper.setText(R.id.tv_type, item.getId());
        helper.setText(R.id.tv_dep, item.getLaunchDeptName());
        helper.setText(R.id.tv_receive_dep, item.getReceiveDeptName());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_price, MathUtils.converData(item.getLaunchOrderAmount(),3));
    }
}

